Loading...
Searching...
No Matches
seqan3::structure_record< field_types, field_ids > Class Template Reference
IO » Structure File

The record type of seqan3::structure_file_input. More...

`#include <seqan3/io/structure_file/record.hpp>`

Inheritance diagram for seqan3::structure_record< field_types, field_ids >:
[legend]

## Public Member Functions

decltype(auto) | base_pair_probability_matrix () &
| Base pair probability matrix of interactions, usually a matrix of float numbers.
decltype(auto) | base_pair_probability_matrix () &&
| Base pair probability matrix of interactions, usually a matrix of float numbers.
decltype(auto) | base_pair_probability_matrix () const &
| Base pair probability matrix of interactions, usually a matrix of float numbers.
decltype(auto) | base_pair_probability_matrix () const &&
| Base pair probability matrix of interactions, usually a matrix of float numbers.
decltype(auto) | energy () &
| Energy of a folded sequence, represented by one float number.
decltype(auto) | energy () &&
| Energy of a folded sequence, represented by one float number.
decltype(auto) | energy () const &
| Energy of a folded sequence, represented by one float number.
decltype(auto) | energy () const &&
| Energy of a folded sequence, represented by one float number.
decltype(auto) | id () &
| The identifier, usually a string.
decltype(auto) | id () &&
| The identifier, usually a string.
decltype(auto) | id () const &
| The identifier, usually a string.
decltype(auto) | id () const &&
| The identifier, usually a string.
decltype(auto) | sequence () &
| The "sequence", usually a range of nucleotides or amino acids.
decltype(auto) | sequence () &&
| The "sequence", usually a range of nucleotides or amino acids.
decltype(auto) | sequence () const &
| The "sequence", usually a range of nucleotides or amino acids.
decltype(auto) | sequence () const &&
| The "sequence", usually a range of nucleotides or amino acids.
decltype(auto) | sequence_structure () &
| Fixed interactions, usually a string of structure alphabet characters.
decltype(auto) | sequence_structure () &&
| Fixed interactions, usually a string of structure alphabet characters.
decltype(auto) | sequence_structure () const &
| Fixed interactions, usually a string of structure alphabet characters.
decltype(auto) | sequence_structure () const &&
| Fixed interactions, usually a string of structure alphabet characters.
Constructors, destructor and assignment
| structure_record ()=default
| Defaulted.
| structure_record (structure_record const &)=default
| Defaulted.
structure_record & | operator= (structure_record const &)=default
| Defaulted.
| structure_record (structure_record &&)=default
| Defaulted.
structure_record & | operator= (structure_record &&)=default
| Defaulted.
| ~structure_record ()=default
| Defaulted.
Public Member Functions inherited from seqan3::record< field_types, field_ids >
void | clear () noexcept(noexcept(std::apply(expander, std::declval< record & >().as_base())))
| Clears containers that provide .clear() and (re-)initialises all other elements with = {}.
| record ()=default
| Defaulted.
| record (record const &)=default
| Defaulted.
record & | operator= (record const &)=default
| Defaulted.
| record (record &&)=default
| Defaulted.
record & | operator= (record &&)=default
| Defaulted.
| ~record ()=default
| Defaulted.

## Additional Inherited Members

Public Types inherited from seqan3::record< field_types, field_ids >
using | base_type = detail::transfer_template_args_onto_t<field_types, std::tuple>
| A specialisation of std::tuple.
Related Symbols inherited from tuple_like
size_t | tuple_size_v
| A unary type trait that holds the number of elements in the tuple.
| tuple_elment_t
| A transformation trait that holds the type of elements in the tuple.
auto && | get (type &&val)
| Return the i-th element of the tuple.

## Detailed Description

template<typename field_types, typename field_ids>
class seqan3::structure_record< field_types, field_ids >

The record type of seqan3::structure_file_input.

Template Parameters

  field_types | The types of the fields in this record as a seqan3::type_list.
  field_ids | A seqan3::fields type with seqan3::field IDs corresponding to field_types.

Remarks
  For a complete overview, take a look at Structure File

## Member Function Documentation

## base_pair_probability_matrix() [1/3]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::structure_record< field_types, field_ids >::base_pair_probability_matrix | ( |  | ) | &

inline

Base pair probability matrix of interactions, usually a matrix of float numbers.

## base_pair_probability_matrix() [2/3]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::structure_record< field_types, field_ids >::base_pair_probability_matrix | ( |  | ) | const &

inline

Base pair probability matrix of interactions, usually a matrix of float numbers.

## base_pair_probability_matrix() [3/3]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::structure_record< field_types, field_ids >::base_pair_probability_matrix | ( |  | ) | const &&

inline

Base pair probability matrix of interactions, usually a matrix of float numbers.

## energy() [1/3]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::structure_record< field_types, field_ids >::energy | ( |  | ) | &

inline

Energy of a folded sequence, represented by one float number.

## energy() [2/3]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::structure_record< field_types, field_ids >::energy | ( |  | ) | const &

inline

Energy of a folded sequence, represented by one float number.

## energy() [3/3]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::structure_record< field_types, field_ids >::energy | ( |  | ) | const &&

inline

Energy of a folded sequence, represented by one float number.

## id() [1/3]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::structure_record< field_types, field_ids >::id | ( |  | ) | &

inline

The identifier, usually a string.

## id() [2/3]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::structure_record< field_types, field_ids >::id | ( |  | ) | const &

inline

The identifier, usually a string.

## id() [3/3]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::structure_record< field_types, field_ids >::id | ( |  | ) | const &&

inline

The identifier, usually a string.

## sequence() [1/3]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::structure_record< field_types, field_ids >::sequence | ( |  | ) | &

inline

The "sequence", usually a range of nucleotides or amino acids.

## sequence() [2/3]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::structure_record< field_types, field_ids >::sequence | ( |  | ) | const &

inline

The "sequence", usually a range of nucleotides or amino acids.

## sequence() [3/3]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::structure_record< field_types, field_ids >::sequence | ( |  | ) | const &&

inline

The "sequence", usually a range of nucleotides or amino acids.

## sequence_structure() [1/3]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::structure_record< field_types, field_ids >::sequence_structure | ( |  | ) | &

inline

Fixed interactions, usually a string of structure alphabet characters.

## sequence_structure() [2/3]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::structure_record< field_types, field_ids >::sequence_structure | ( |  | ) | const &

inline

Fixed interactions, usually a string of structure alphabet characters.

## sequence_structure() [3/3]

template<typename field_types, typename field_ids>

decltype(auto) seqan3::structure_record< field_types, field_ids >::sequence_structure | ( |  | ) | const &&

inline

Fixed interactions, usually a string of structure alphabet characters.

The documentation for this class was generated from the following file:

- structure_file/record.hpp

Hide me